<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Acciones</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col *ngIf="lugar">
        <ion-input required type="text" placeholder="Nombre" [(ngModel)]="lugar.nombre"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col *ngIf="lugar">
        <ion-input required type="email" placeholder="Dirección" [(ngModel)]="lugar.direccion"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label>Tipo Lugar</ion-label>
          <ion-select [(ngModel)]="tipoLugar">
            <ion-select-option *ngFor="let lugarTipo of lugaresTipos" value="{{lugarTipo.id}}">{{lugarTipo.nombre}}
            </ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button expand="full" (click)="guardar()"> Guardar </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-fab *ngIf="id" vertical="bottom" horizontal="end" slot="fixed" color="danger">
    <ion-fab-button [routerLink]="['/web/lugares/acciones']" routerDirection="forward" (click)="eliminar()">
      <ion-icon name="trash"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>